zenilib: T1_FontRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
T1_FontRec_ Struct Reference

`#include <t1types.h>`

## Public Attributes

FT_Byte ** | charstrings
FT_Byte * | charstrings_block
FT_PtrDist * | charstrings_len
T1_EncodingRec | encoding
T1_EncodingType | encoding_type
FT_BBox | font_bbox
PS_FontExtraRec | font_extra
FT_Long | font_id
PS_FontInfoRec | font_info
FT_Matrix | font_matrix
FT_String * | font_name
FT_Vector | font_offset
FT_Byte | font_type
FT_String ** | glyph_names
FT_Byte * | glyph_names_block
FT_Int | num_glyphs
FT_Int | num_subrs
FT_Byte | paint_type
PS_PrivateRec | private_dict
FT_Fixed | stroke_width
FT_Byte ** | subrs
FT_Byte * | subrs_block
FT_PtrDist * | subrs_len

## Detailed Description

Definition at line 93 of file t1types.h.

## Member Data Documentation

FT_Byte** T1_FontRec_::charstrings

Definition at line 113 of file t1types.h.

Referenced by T1_Face_Done(), T1_Open_Face(), t1_ps_get_font_value(), T42_Face_Done(), and T42_Open_Face().

FT_Byte* T1_FontRec_::charstrings_block

Definition at line 104 of file t1types.h.

Referenced by T1_Face_Done(), T1_Open_Face(), T42_Face_Done(), and T42_Open_Face().

FT_PtrDist* T1_FontRec_::charstrings_len

Definition at line 114 of file t1types.h.

Referenced by T1_Face_Done(), T1_Open_Face(), t1_ps_get_font_value(), T42_Face_Done(), and T42_Open_Face().

T1_EncodingRec T1_FontRec_::encoding

Definition at line 101 of file t1types.h.

Referenced by parse_encoding(), t1_cmap_custom_init(), T1_Face_Done(), T1_Open_Face(), t1_ps_get_font_value(), T42_Face_Done(), and T42_Open_Face().

T1_EncodingType T1_FontRec_::encoding_type

Definition at line 100 of file t1types.h.

Referenced by parse_encoding(), T1_Face_Init(), T1_Open_Face(), t1_ps_get_font_value(), and T42_Open_Face().

FT_BBox T1_FontRec_::font_bbox

Definition at line 120 of file t1types.h.

Referenced by t1_allocate_blend(), T1_Face_Init(), T1_Load_Glyph(), t1_load_keyword(), t1_ps_get_font_value(), and T1_Read_Metrics().

PS_FontExtraRec T1_FontRec_::font_extra

Definition at line 96 of file t1types.h.

Referenced by t1_load_keyword(), and t1_ps_get_font_value().

FT_Long T1_FontRec_::font_id

Definition at line 121 of file t1types.h.

PS_FontInfoRec T1_FontRec_::font_info

Definition at line 95 of file t1types.h.

Referenced by t1_allocate_blend(), T1_Face_Done(), T1_Face_Init(), t1_load_keyword(), t1_ps_get_font_value(), and T42_Face_Done().

FT_Matrix T1_FontRec_::font_matrix

Definition at line 118 of file t1types.h.

Referenced by t1_parse_font_matrix(), and t1_ps_get_font_value().

FT_String* T1_FontRec_::font_name

Definition at line 98 of file t1types.h.

Referenced by T1_Face_Done(), T1_Face_Init(), t1_get_ps_name(), t1_ps_get_font_value(), and T42_Face_Done().

FT_Vector T1_FontRec_::font_offset

Definition at line 119 of file t1types.h.

Referenced by t1_parse_font_matrix().

FT_Byte T1_FontRec_::font_type

Definition at line 117 of file t1types.h.

Referenced by t1_ps_get_font_value(), and T42_Open_Face().

FT_String** T1_FontRec_::glyph_names

Definition at line 112 of file t1types.h.

Referenced by t1_cmap_std_init(), T1_Compute_Max_Advance(), T1_Face_Done(), T1_Get_Advances(), t1_get_glyph_name(), t1_get_index(), t1_get_name_index(), T1_Open_Face(), t1_ps_get_font_value(), T42_Face_Done(), and T42_Open_Face().

FT_Byte* T1_FontRec_::glyph_names_block

Definition at line 105 of file t1types.h.

Referenced by T1_Face_Done(), T1_Open_Face(), T42_Face_Done(), and T42_Open_Face().

FT_Int T1_FontRec_::num_glyphs

Definition at line 111 of file t1types.h.

Referenced by t1_cmap_std_init(), t1_cmap_unicode_init(), T1_Compute_Max_Advance(), T1_Face_Init(), t1_get_index(), t1_get_name_index(), T1_Open_Face(), t1_ps_get_font_value(), and T42_Open_Face().

FT_Int T1_FontRec_::num_subrs

Definition at line 107 of file t1types.h.

Referenced by T1_Compute_Max_Advance(), T1_Get_Advances(), T1_Open_Face(), and t1_ps_get_font_value().

FT_Byte T1_FontRec_::paint_type

Definition at line 116 of file t1types.h.

Referenced by t1_ps_get_font_value().

PS_PrivateRec T1_FontRec_::private_dict

Definition at line 97 of file t1types.h.

Referenced by parse_charstrings(), parse_subrs(), t1_allocate_blend(), t1_load_keyword(), T1_Open_Face(), t1_ps_get_font_value(), and T1_Size_Init().

FT_Fixed T1_FontRec_::stroke_width

Definition at line 123 of file t1types.h.

FT_Byte** T1_FontRec_::subrs

Definition at line 108 of file t1types.h.

Referenced by T1_Compute_Max_Advance(), T1_Face_Done(), T1_Get_Advances(), T1_Open_Face(), and t1_ps_get_font_value().

FT_Byte* T1_FontRec_::subrs_block

Definition at line 103 of file t1types.h.

Referenced by T1_Face_Done(), and T1_Open_Face().

FT_PtrDist* T1_FontRec_::subrs_len

Definition at line 109 of file t1types.h.

Referenced by T1_Compute_Max_Advance(), T1_Face_Done(), T1_Get_Advances(), T1_Open_Face(), and t1_ps_get_font_value().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/internal/t1types.h